Subject: Re: bug#55618: Allow patching from mummi issues

From: Maxime Devos <[email-masked]>
Date: Wed, 25 May 2022 16:21:32 +0200

Liliana Marie Prikler schreef op wo 25-05-2022 om 14:16 [+0200]:
> Am Mittwoch, dem 25.05.2022 um 13:06 +0200 schrieb Maxime Devos:
> > is text;charset=utf-8 actually valid?
> Not as far as I'm aware.  The first part should be a proper MIME type,
> which ought to be registered by the IANA [1].
> 
> > That page sets
> > 
> >  Content-Type text;charset=utf-8
> > 
> > which apperently Guile's HTTP parser doesn't like.
> > Maybe it can be changed to text/patch (*) or text/diff (*) (or
> > text/plain) instead?
> > 
> > (*) x- prefixes are deprecated
> As fate would have it, neither text/patch nor text/diff are registered
> over at the IANA [1].  As far as I'm aware, both (Linux/GNU)
> applications and browsers should understand the x- notation.

Neither is text/x-patch nor text/diff.  I am not aware of any browser
that supports text/x-patch or text/x-diff (or text/patch for that
matter).  If there are any applications that understand text/x-patch
but not text/patch, it should be easy to patch them to support the more
standard-ish text/patch (or text/diff).

(Registering them would be even better, but AFAICT no-one is interested
in writing a formal spec to submit.)

Greetings,
Maxime.